; PlatformIO Project Configuration File
;
;   Build options: build flags, source filter
;   Upload options: custom upload port, speed and extra flags
;   Library options: dependencies, extra library storages
;   Advanced options: extra scripting
;
; Please visit documentation for the other options and examples
; https://docs.platformio.org/page/projectconf.html

[env:esp32dev]
platform = espressif32
board = esp32dev
framework = arduino
lib_deps = 
	bblanchon/ArduinoJson@^6.16.1
	plapointe6/EspMQTTClient@^1.10.0
	knolleary/PubSubClient@^2.8
	paulstoffregen/OneWire@^2.3.5
	milesburton/DallasTemperature@^3.9.1
debug_server = 
	$PLATFORMIO_HOME_DIR/packages/tool-openocd-esp32/bin/openocd
	-s
	$PLATFORMIO_HOME_DIR/packages/tool-openocd-esp32/share/openocd/scripts
	-f
	$PROJECT_DIR/C232HM.cfg
	-f
	board/esp-wroom-32.cfg
